﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BuisnessObjectToTest;
using NUnit.Framework;

namespace PersonTestWithNUnit
{
    [TestFixture]
    class PersonNUnitTest
    {
        Person selvyn;
        Person samuel;
        Person letitia;

        [SetUp]
        protected void SetUp()
        {
            selvyn = new Person("Selvyn", "Wright", 51);
            samuel = new Person("Samuel", "Wright", 24);
            letitia = new Person("Letitia", "Wright", 19);
        }

        [Test, Category("Simple Unit Test")]
        public void testPersonsEqual()
        {
            System.Console.WriteLine("testPersonsEqual");

            Assert.AreEqual(true, (selvyn==selvyn), "They should be the same");
        }

        [Test, Category("Simple Unit Test")]
        public void testPersonsNotEqual()
        {
            System.Console.WriteLine("testPersonsNotEqual");

            Assert.AreEqual(true, (selvyn != samuel), "They should be the same");
        }

        [Test, Category("Simple Unit Test")]
        public void testPersonsAgeLessThan()
        {
            System.Console.WriteLine("testPersonsAgeLessThan");

            Assert.AreEqual(true, (selvyn.CompareTo(samuel) > 0), "Selvyn should be older than Samuel");
        }

        [Test, Category("Simple Unit Test")]
        public void testPersonsGreaterThan()
        {
            System.Console.WriteLine("testPersonsGreaterThan");

            Assert.AreEqual(true, (letitia.CompareTo(samuel) < 0), "Letitia should be younger than Samuel");
        }
    }
}
